Bug 132138 - Support Mozilla XEmbed plugins
Summary: Support Mozilla XEmbed plugins
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: nsplugins (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal with 300 votes (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
: 146784 153593 153832 154081 154089 154237 154462 154474 154476 154521 154600 154824 154920 155006 155047 155071 155345 155392 155412 156147 156783 156964 157061 157337 157651 158494 158961 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-08-09 14:05 UTC by Bastien Nocera
Modified: 2009-01-03 21:18 UTC (History)
46 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
backtrace of a crash when loading flash 9 plugin on konqueror (kde 4.0/ svn trunk r759555) (1.66 KB, text/plain)
2008-01-11 05:04 UTC, Pablo De Napoli
Details
gtk-qt-engine patch (751 bytes, patch)
2008-01-14 13:43 UTC, Lubos Lunak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bastien Nocera 2006-08-09 14:05:29 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

Newer Mozilla plugins use XEmbed instead of the old-style Window passing.

This means that the Totem browser plugin doesn't work in Konqueror for example.
Comment 1 Aldoo 2007-07-15 22:05:52 UTC
This is also necessary for the new Adobe Flash Player, thus enabling full screen video in youtube, for instance.
Comment 2 Guillaume Castagnino 2007-10-04 21:53:47 UTC
This is becomming more and more usefull.
New version of flash are using Xembed. So this becomes mandatory to support flash (sadly to much used over the internet...)
This support should solved this bug : http://bugs.kde.org/show_bug.cgi?id=146784#c8
Comment 3 eli 2007-12-07 06:52:03 UTC
*** This bug has been confirmed by popular vote. ***
Comment 4 eli 2007-12-07 06:56:16 UTC
Please get Xembed support available in the Konqueror 3.5.x. I realize that everyone is busy with KDE4. But I'm still relying on KDE 3.5.8. Please... please... please.
Comment 5 Maksim Orlovich 2007-12-15 16:52:17 UTC
*** Bug 154089 has been marked as a duplicate of this bug. ***
Comment 6 Maksim Orlovich 2007-12-15 16:53:12 UTC
Seli has been working on it.. It seems his KDE3 version works better than my KDE4 one (once we figured out that we need to lie to flash and claim we're iceweasel, anyway)
Comment 7 Maksim Orlovich 2007-12-15 16:54:23 UTC
*** Bug 146784 has been marked as a duplicate of this bug. ***
Comment 8 Maksim Orlovich 2007-12-15 17:00:31 UTC
*** Bug 153832 has been marked as a duplicate of this bug. ***
Comment 9 Maksim Orlovich 2007-12-15 17:19:39 UTC
*** Bug 153593 has been marked as a duplicate of this bug. ***
Comment 10 Maksim Orlovich 2007-12-15 17:20:33 UTC
*** Bug 154081 has been marked as a duplicate of this bug. ***
Comment 11 Jonson 2007-12-16 13:30:53 UTC
I tried to find Flash player 9.0r48 to install but I couldn't. I google it, check in adobe web page but there is no that version of flash player.

Maybe somebody knows?
Comment 12 Maksim Orlovich 2007-12-17 19:27:51 UTC
*** Bug 154237 has been marked as a duplicate of this bug. ***
Comment 13 George Staikos 2007-12-17 19:30:16 UTC
I'm getting enough cc: notifications and I don't plan to implement this personally.
Comment 14 Lubos Lunak 2007-12-18 12:06:44 UTC
Should already work for KDE3.
Comment 15 Matthew H McKenzie 2007-12-19 00:09:50 UTC
Jonaton,  r48 is archived at macromedia.  I believe you are still compliant if you download from there. This is necessary for developers and large enterprise testing archaic OS versions (Windows 95 maxed out at r7.61 ?).

http://fpdownload.macromedia.com/get/flashplayer/installers/archive/fp9_archive.zip
Comment 16 Roland Wolters 2007-12-20 11:12:53 UTC
r48 has big security problems, see
http://www.adobe.com/support/security/bulletins/apsb07-20.html
Since there is also no comfortable FlashBlocker available for Konqueror, it can now longer be advised to run the r48 version on Konqueror.

As a result, there is currently no Flash version at all which could/should be used together with Konqueror :(

Lubos, you've mentioned that "it" should work already with KDE3 - can you point out a patch?
Comment 17 Lubos Lunak 2007-12-20 14:10:35 UTC
SVN commit 750897 by lunakl:

Support for XEmbed-based plugins and Glib2-based eventloop.
Should make the most recent Flash work, if you get sufficiently lucky
and don't run into any of the load of its bugs. Latest
kdelibs/kdeui/qxembed.* needed as well.
CCBUG: 132138



 M  +41 -10    nspluginloader.cpp  
 M  +10 -2     nspluginloader.h  
 M  +16 -5     sdk/npapi.h  
 A             sdk/npruntime.h   [License: BSD]
 M  +610 -13   sdk/npupp.h  
 M  +2 -2      sdk/prcpucfg.h  
 M  +3 -4      viewer/Makefile.am  
 M  +1 -1      viewer/NSPluginClassIface.h  
 A             viewer/glibevents.cpp   [License: GPL (v2+)]
 A             viewer/glibevents.h   [License: GPL (v2+)]
 M  +110 -74   viewer/nsplugin.cpp  
 M  +4 -3      viewer/nsplugin.h  
 M  +2 -0      viewer/viewer.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=750897
Comment 18 Roland Wolters 2007-12-20 15:29:21 UTC
Thanks for the hint!
Comment 19 Lubos Lunak 2007-12-20 16:16:30 UTC
Note that some people report it still doesn't work for them even with the patches.
Comment 20 Koos Vriezen 2007-12-21 00:53:34 UTC
Btw. latest 9,0,115,0 runs just fine with kmplayer plugin (v0.10.0a + patch from r746262). I do multiple NPSetWindow as well, first to set a largish window then set to the requested size and later if eg. running from the kmplayer frontend app, when resizing.
Comment 21 Lubos Lunak 2007-12-21 15:04:24 UTC
SVN commit 751255 by lunakl:

More feeble attempts at Flash hacks (plus again QXEmbed update).
CCBUG: 132138 



 M  +29 -11    nspluginloader.cpp  
 M  +2 -0      nspluginloader.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=751255
Comment 22 Pino Toscano 2007-12-22 11:51:44 UTC
*** Bug 154462 has been marked as a duplicate of this bug. ***
Comment 23 Pino Toscano 2007-12-22 16:37:23 UTC
*** Bug 154474 has been marked as a duplicate of this bug. ***
Comment 24 Pino Toscano 2007-12-22 16:46:39 UTC
*** Bug 154476 has been marked as a duplicate of this bug. ***
Comment 25 Pino Toscano 2007-12-23 11:58:43 UTC
*** Bug 154521 has been marked as a duplicate of this bug. ***
Comment 26 Maksim Orlovich 2007-12-25 22:55:02 UTC
*** Bug 154600 has been marked as a duplicate of this bug. ***
Comment 27 Stephen Hawkins 2007-12-26 13:24:23 UTC
I using Konqueror 3.5.7 on SuSE 10.3 and oddly I just started getting the errors recently.  I get them now on more then half the pages I visit and it seems to leave a little memory in "limbo" everytime it happens until I have so little left that my computer freezes.
Comment 28 Frans Leerink 2007-12-27 00:31:29 UTC
I am using Konqueror 3.5.6 on openSuse 10.2 and i also just started getting the errors recently.  I get them now on more then half the pages I visit. 

Regards,   Frans
Comment 29 Philippe Cloutier 2007-12-27 05:51:23 UTC
Lubos, could you clarify the status of this bug? It is still marked as NEW, but according to your commit messages support was implemented.

Thank you for your work on this.
Comment 30 Maksim Orlovich 2007-12-27 06:03:13 UTC
Support has been implemented by Lubos for 3.5.x, though there may be some imperfections. In trunk, there is half-working support from me, but I have no good way of debugging the problems, unfortunately, so I am kind of hoping Lubos will help me out w/that..

Comment 31 Lubos Lunak 2007-12-27 10:31:17 UTC
Code for 3.5.x in SVN should be ready and it's up to distributions to ship it. However in practice it doesn't work very well because of various (presumably) Flash bugs, and it's a pain to debug (http://www.kdedevelopers.org/node/3162). Complain to Adobe if you don't like them not caring about Konqueror *shrug*.
Comment 32 Philippe Cloutier 2007-12-27 21:52:06 UTC
Ah, it's not done in trunk... OK, thank you.
Comment 33 eli 2007-12-28 06:31:01 UTC
Complaining can be done here.

http://blogs.adobe.com/penguin.swf/2007/12/flash_player_9_update_3_final.html
Comment 34 Marco Cimmino 2007-12-28 11:31:59 UTC
or better in the forum
http://www.adobe.com/cfusion/webforums/forum/categories.cfm?forumid=72&catid=616
Comment 35 Adam Treat 2007-12-28 21:47:55 UTC
The adobe folks appear to be reaching out somewhat to help:

http://lists.kde.org/?l=kfm-devel&m=119886761607728&w=2
Comment 36 Tommi Tervo 2007-12-29 19:22:01 UTC
*** Bug 154824 has been marked as a duplicate of this bug. ***
Comment 37 Tommi Tervo 2008-01-01 17:37:12 UTC
*** Bug 154920 has been marked as a duplicate of this bug. ***
Comment 38 Tommi Tervo 2008-01-03 08:38:17 UTC
*** Bug 155006 has been marked as a duplicate of this bug. ***
Comment 39 Tommi Tervo 2008-01-03 20:51:32 UTC
*** Bug 155047 has been marked as a duplicate of this bug. ***
Comment 40 Tommi Tervo 2008-01-04 12:01:56 UTC
*** Bug 155071 has been marked as a duplicate of this bug. ***
Comment 41 Marco Cimmino 2008-01-04 12:19:43 UTC
why don't add keywords "flash 9.0.115" and "nsplugins" and "nspluginviewer" and "crash" to avoid mass dups like this.
Comment 42 Lubos Lunak 2008-01-04 20:07:58 UTC
SVN commit 757345 by lunakl:

Do not put kcontrol's own widgets inside of QXEmbed.
BUG: 155001
CCBUG: 132138



 M  +17 -3     modules.cpp  
 M  +14 -0     modules.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=757345
Comment 43 Lubos Lunak 2008-01-04 20:08:57 UTC
SVN commit 757346 by lunakl:

Fix embedding started from outside by reparenting inside to QXEmbed.
CCBUG: 155001
CCBUG: 132138



 M  +2 -0      qxembed.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=757346
Comment 44 Pino Toscano 2008-01-09 18:37:44 UTC
*** Bug 155345 has been marked as a duplicate of this bug. ***
Comment 45 Tommi Tervo 2008-01-10 12:24:09 UTC
*** Bug 155392 has been marked as a duplicate of this bug. ***
Comment 46 Raúl 2008-01-11 00:29:33 UTC
Even me and I supposed all people here are very happy I have to place my comment here about that.

The problem in my case is that the plugin blocker you configure on Preferences->Configure Konqueror->Plugins->"Load only when needed" (from spanish) doesn't work any more. I don't have the option to select which flash media I want to load, all of them loads automatically.

I'd like the "click here to load" back.

Apart from this, thanks for the great work.
Comment 47 Pablo De Napoli 2008-01-11 05:04:15 UTC
Created attachment 22950 [details]
backtrace of a crash when loading flash 9 plugin on konqueror (kde 4.0/ svn trunk r759555)

I'm submitting a backtrace of a crash when loading flashplugin
on konqueror, in KDE 4 (I think this is related to this bug)
Comment 48 Lubos Lunak 2008-01-14 13:43:38 UTC
Created attachment 23025 [details]
gtk-qt-engine patch

Just for the record, there can be also problems when using gtk-qt-engine. It
should be either disabled or this patch applied.
Comment 49 eli 2008-01-14 21:37:12 UTC
Just installed patched koji versions of kdebase, kdelibs 3.5.9 and gtk-qt-engine gtk-qt-engine-0.8 for Fedora 8 x86_64

With Konqueror... no Joy.... Flash still doesn't play with nspluginwrapper in Konqueror. It wants to, but flash just goes blank. Howerver, the good news is that it does "seem" to play well with the new gtk-qt-engine and Firefox.
Comment 50 eli 2008-01-14 21:45:17 UTC
I take it back. It doesn't work well with Firefox either. Probably because of the gtk-qt-engine.
Comment 51 Rex Dieter 2008-01-15 14:49:18 UTC
Eli, nspluginwrapper has it's own issues (ie, not konq's fault).
Comment 52 eli 2008-01-15 17:40:11 UTC
Aaaagh :)
Comment 53 Lubos Lunak 2008-01-15 18:26:59 UTC
SVN commit 761919 by lunakl:

Make all types in all DCOP interfaces to be fixed-width types,
so that mixing 64b Konqueror with 32b nspluginviewer works.
CCBUG: 132138



 M  +1 -1      NSPluginCallbackIface.h  
 M  +6 -6      viewer/NSPluginClassIface.h  
 M  +6 -6      viewer/nsplugin.cpp  
 M  +6 -6      viewer/nsplugin.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=761919
Comment 54 eli 2008-01-15 20:39:10 UTC
OK.. looks like we're 3/4 of the way there. I just built and installed the latest nspluginwrapper 0.91.6 source snapshot and it seems to work well with firefox. It works better with the patched gtk-qt-engine. Hopefully with the latest fix for konqueror, nspluginwrapper and konqueror will play nice together.
Comment 55 Pino Toscano 2008-01-19 00:23:56 UTC
*** Bug 156147 has been marked as a duplicate of this bug. ***
Comment 56 jofko 2008-01-21 01:44:18 UTC
flash animation in new tab 

maybe useful back trace:

[?1034hUsing host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0xb6372b00 (LWP 5988)]
[KCrash handler]
#5  0xffffe410 in __kernel_vsyscall ()
#6  0xb66f68f5 in raise () from /lib/libc.so.6
#7  0xb66f81e1 in abort () from /lib/libc.so.6
#8  0xb66efc1e in __assert_fail () from /lib/libc.so.6
#9  0xb652371b in xcb_xlib_lock () from /usr/lib/libxcb-xlib.so.0
#10 0xb7562b18 in ?? () from /usr/lib/libX11.so.6
#11 0x0805fe78 in ?? ()
#12 0xb710c79c in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#13 0xb7541c96 in XGetWindowProperty () from /usr/lib/libX11.so.6
#14 0xb6b504d9 in functor () from /usr/lib/libQtGui.so.4
#15 0xb753732e in XCheckIfEvent () from /usr/lib/libX11.so.6
#16 0xb6b52628 in QX11EmbedContainer::embedClient ()
   from /usr/lib/libQtGui.so.4
#17 0xb1d78b99 in NSPluginInstance::doLoadPlugin ()
   from /usr/lib/kde4/libnsplugin.so
#18 0xb1d78ec9 in NSPluginInstance::NSPluginInstance ()
   from /usr/lib/kde4/libnsplugin.so
#19 0xb1d79611 in NSPluginLoader::newInstance ()
   from /usr/lib/kde4/libnsplugin.so
#20 0xb1d76225 in PluginPart::openUrl () from /usr/lib/kde4/libnsplugin.so
#21 0xb3fbccc5 in KHTMLPart::processObjectRequest ()
   from /usr/lib/libkhtml.so.5
#22 0xb3fbec33 in KHTMLPart::requestObject () from /usr/lib/libkhtml.so.5
#23 0xb3fbf774 in KHTMLPart::requestObject () from /usr/lib/libkhtml.so.5
#24 0xb4087540 in DOM::HTMLObjectBaseElementImpl::computeContent ()
   from /usr/lib/libkhtml.so.5
#25 0xb408283d in DOM::HTMLPartContainerElementImpl::computeContentIfNeeded ()
   from /usr/lib/libkhtml.so.5
#26 0xb4043e51 in khtml::KHTMLParser::insertNode () from /usr/lib/libkhtml.so.5
#27 0xb40468b8 in khtml::KHTMLParser::parseToken () from /usr/lib/libkhtml.so.5
#28 0xb40473e2 in khtml::HTMLTokenizer::processToken ()
   from /usr/lib/libkhtml.so.5
#29 0xb404ca84 in khtml::HTMLTokenizer::parseTag () from /usr/lib/libkhtml.so.5
#30 0xb404f9fd in khtml::HTMLTokenizer::write () from /usr/lib/libkhtml.so.5
#31 0xb400f81f in DOM::DocumentImpl::write () from /usr/lib/libkhtml.so.5
#32 0xb4173506 in KJS::HTMLDocFunction::callAsFunction ()
   from /usr/lib/libkhtml.so.5
#33 0xb43baa3a in KJS::JSObject::call () from /usr/lib/libkjs.so.4
#34 0xb438388f in KJS::FunctionCallDotNode::evaluate ()
   from /usr/lib/libkjs.so.4
#35 0xb437c154 in KJS::ExprStatementNode::execute () from /usr/lib/libkjs.so.4
#36 0xb437ca77 in KJS::SourceElementsNode::execute () from /usr/lib/libkjs.so.4
#37 0xb437bb24 in KJS::BlockNode::execute () from /usr/lib/libkjs.so.4
#38 0xb438067e in KJS::IfNode::execute () from /usr/lib/libkjs.so.4
#39 0xb437ca77 in KJS::SourceElementsNode::execute () from /usr/lib/libkjs.so.4
#40 0xb437bb24 in KJS::BlockNode::execute () from /usr/lib/libkjs.so.4
#41 0xb43bd78a in KJS::Interpreter::evaluate () from /usr/lib/libkjs.so.4
#42 0xb43bd916 in KJS::Interpreter::evaluate () from /usr/lib/libkjs.so.4
#43 0xb41accbf in KJS::KJSProxyImpl::evaluate () from /usr/lib/libkhtml.so.5
#44 0xb3faf247 in KHTMLPart::executeScript () from /usr/lib/libkhtml.so.5
#45 0xb4047806 in khtml::HTMLTokenizer::scriptExecution ()
   from /usr/lib/libkhtml.so.5
#46 0xb404a45e in khtml::HTMLTokenizer::scriptHandler ()
   from /usr/lib/libkhtml.so.5
#47 0xb404bd9d in khtml::HTMLTokenizer::parseSpecial ()
   from /usr/lib/libkhtml.so.5
#48 0xb404d719 in khtml::HTMLTokenizer::parseTag () from /usr/lib/libkhtml.so.5
#49 0xb404f9fd in khtml::HTMLTokenizer::write () from /usr/lib/libkhtml.so.5
#50 0xb400f81f in DOM::DocumentImpl::write () from /usr/lib/libkhtml.so.5
#51 0xb4173506 in KJS::HTMLDocFunction::callAsFunction ()
   from /usr/lib/libkhtml.so.5
#52 0xb43baa3a in KJS::JSObject::call () from /usr/lib/libkjs.so.4
#53 0xb438388f in KJS::FunctionCallDotNode::evaluate ()
   from /usr/lib/libkjs.so.4
#54 0xb437c154 in KJS::ExprStatementNode::execute () from /usr/lib/libkjs.so.4
#55 0xb437ca77 in KJS::SourceElementsNode::execute () from /usr/lib/libkjs.so.4
#56 0xb437bb24 in KJS::BlockNode::execute () from /usr/lib/libkjs.so.4
#57 0xb43bd78a in KJS::Interpreter::evaluate () from /usr/lib/libkjs.so.4
#58 0xb43bd916 in KJS::Interpreter::evaluate () from /usr/lib/libkjs.so.4
#59 0xb41accbf in KJS::KJSProxyImpl::evaluate () from /usr/lib/libkhtml.so.5
#60 0xb3faf247 in KHTMLPart::executeScript () from /usr/lib/libkhtml.so.5
#61 0xb4047806 in khtml::HTMLTokenizer::scriptExecution ()
   from /usr/lib/libkhtml.so.5
#62 0xb40504e9 in khtml::HTMLTokenizer::notifyFinished ()
   from /usr/lib/libkhtml.so.5
#63 0xb414b3d0 in khtml::CachedScript::checkNotify ()
   from /usr/lib/libkhtml.so.5
#64 0xb414db7c in khtml::CachedScript::data () from /usr/lib/libkhtml.so.5
#65 0xb414bb29 in khtml::Loader::slotFinished () from /usr/lib/libkhtml.so.5
#66 0xb414c5a5 in khtml::Loader::qt_metacall () from /usr/lib/libkhtml.so.5
#67 0xb7218c70 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#68 0xb72195b2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#69 0xb7a67dd3 in KJob::result () from /usr/lib/libkdecore.so.5
#70 0xb7a68152 in KJob::emitResult () from /usr/lib/libkdecore.so.5
#71 0xb7c40f53 in KIO::SimpleJob::slotFinished () from /usr/lib/libkio.so.5
#72 0xb7c442ef in KIO::TransferJob::slotFinished () from /usr/lib/libkio.so.5
#73 0xb7c49923 in KIO::TransferJob::qt_metacall () from /usr/lib/libkio.so.5
#74 0xb7218c70 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#75 0xb72195b2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#76 0xb7cea017 in KIO::SlaveInterface::finished () from /usr/lib/libkio.so.5
#77 0xb7cec8dc in KIO::SlaveInterface::dispatch () from /usr/lib/libkio.so.5
#78 0xb7cea909 in KIO::SlaveInterface::dispatch () from /usr/lib/libkio.so.5
#79 0xb7cde2b2 in KIO::Slave::gotInput () from /usr/lib/libkio.so.5
#80 0xb7cde61d in KIO::Slave::qt_metacall () from /usr/lib/libkio.so.5
#81 0xb7218c70 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#82 0xb72195b2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#83 0xb7c16d07 in KIO::Connection::readyRead () from /usr/lib/libkio.so.5
#84 0xb7c189cb in KIO::ConnectionPrivate::dequeue () from /usr/lib/libkio.so.5
#85 0xb7c18a8e in KIO::Connection::qt_metacall () from /usr/lib/libkio.so.5
#86 0xb72137db in QMetaCallEvent::placeMetaCall () from /usr/lib/libQtCore.so.4
#87 0xb7216563 in QObject::event () from /usr/lib/libQtCore.so.4
#88 0xb6ade09d in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
#89 0xb6ae4239 in QApplication::notify () from /usr/lib/libQtGui.so.4
#90 0xb783c28d in KApplication::notify () from /usr/lib/libkdeui.so.5
#91 0xb720790b in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
#92 0xb72093ce in QCoreApplicationPrivate::sendPostedEvents ()
   from /usr/lib/libQtCore.so.4
#93 0xb72096ad in QCoreApplication::sendPostedEvents ()
   from /usr/lib/libQtCore.so.4
#94 0xb72292a0 in postEventSourceDispatch () from /usr/lib/libQtCore.so.4
#95 0xb6559446 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#96 0xb655c7e2 in ?? () from /usr/lib/libglib-2.0.so.0
#97 0x0805e498 in ?? ()
#98 0x00000000 in ?? ()
#0  0xffffe410 in __kernel_vsyscall ()
Comment 57 Maksim Orlovich 2008-01-27 17:30:08 UTC
*** Bug 155412 has been marked as a duplicate of this bug. ***
Comment 58 Maksim Orlovich 2008-01-27 17:30:13 UTC
*** Bug 156783 has been marked as a duplicate of this bug. ***
Comment 59 Tommi Tervo 2008-01-30 14:11:48 UTC
*** Bug 156964 has been marked as a duplicate of this bug. ***
Comment 60 Maksim Orlovich 2008-01-31 17:58:41 UTC
SVN commit 769144 by orlovich:

Ugh. Remember folks, always forwaport your changes.
FP r.565998, which fixes handling of redirects in nspv,
aka "Youtube videos embedded from an another page". Anyway,
I consider flash issues to be, to the best of my knowledge, resolved now.
BUG:132138
BUG:153470

 M  +15 -0     nsplugin.cpp  
 M  +2 -0      nsplugin.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=769144
Comment 61 eli 2008-01-31 20:32:40 UTC
Confirmed. I've got konqueror 3.5.8 x86_64 working with flash now. Thank you for this.
Comment 62 Tommi Tervo 2008-02-01 08:29:56 UTC
*** Bug 157061 has been marked as a duplicate of this bug. ***
Comment 63 Thomas McGuire 2008-02-08 15:54:02 UTC
*** Bug 157337 has been marked as a duplicate of this bug. ***
Comment 64 Tommi Tervo 2008-02-11 07:47:56 UTC
*** Bug 157651 has been marked as a duplicate of this bug. ***
Comment 65 lindis 2008-02-14 23:01:01 UTC
---------- Initial Header -----------
Comment 66 Frédéric COIFFIER 2008-02-21 13:48:13 UTC
There is still a problem as explained in #46 (tested with KDE 3.5.9) :

"The problem in my case is that the plugin blocker you configure on Preferences->Configure Konqueror->Plugins->"Load only when needed" (from spanish) doesn't work any more. I don't have the option to select which flash media I want to load, all of them loads automatically. "

In fact, when this option is enabled :
 - The first flash applet in a page is blank with no possibility to start it
 - All other flash applets in the web page are started
Comment 67 Tommi Tervo 2008-02-27 11:29:44 UTC
*** Bug 158494 has been marked as a duplicate of this bug. ***
Comment 68 Pino Toscano 2008-03-08 11:32:11 UTC
*** Bug 158961 has been marked as a duplicate of this bug. ***
Comment 69 Søren Holm 2009-01-03 18:13:26 UTC
Konqueror 4.1.85 does not work with newest flashplugin either.
Comment 70 Zbigniew Luszpinski 2009-01-03 21:18:55 UTC
Here is manual how to make konqueror 3.5.x working with flash 10 by using kmplayer and few configuration tweaks: http://mikearthur.co.uk/2007/12/konqueror-with-latest-adobe-flash-howto/

Some info is also in kmplayer news:
"Also, KMPlayer support the xembed style browser plugins, like the beta flash plugin from  Adobe. To enable this, the above example needs an extra entry plugin, eg 
[application/x-shockwave-flash]
player=npp
plugin=/home/koos/.mozilla/plugins/libflashplayer.so

 Note, this complements the nsplugin viewer, that is not able to use these plugins. And KMPlayer is not able to use the old style browser plugins."
source: http://kmplayer.kde.org/news.php

I use recent flash 10 with konqueror 3.5.10 via kmplayer and this works very well.